(RHSA-2019:2336) Moderate: unixODBC security update

2019-08-06T12:26:44
ID RHSA-2019:2336
Type redhat
Reporter RedHat
Modified 2019-08-06T13:41:57

Description

The unixODBC packages contain a framework that supports accessing databases through the ODBC protocol.

Security Fix(es):

  • unixODBC: Buffer overflow in unicode_to_ansi_copy() can lead to crash or other unspecified impact (CVE-2018-7409)

  • unixODBC: Insecure buffer copy in SQLWriteFileDSN function in odbcinst/SQLWriteFileDSN.c (CVE-2018-7485)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Additional Changes:

For detailed information on changes in this release, see the Red Hat Enterprise Linux 7.7 Release Notes linked from the References section.